# Uses of Class
org.xnio.conduits.ConduitReadableMessageChannel

Packages that use ConduitReadableMessageChannel
Package
Description
org.xnio
The main API package for XNIO.
org.xnio.conduits
The XNIO conduit SPI.

## Uses of ConduitReadableMessageChannel in org.xnio

Methods in org.xnio that return ConduitReadableMessageChannel
Modifier and Type
Method
Description
`ConduitReadableMessageChannel`
MessageConnection.`getSourceChannel()`
Get the source channel.

## Uses of ConduitReadableMessageChannel in org.xnio.conduits

Methods in org.xnio.conduits that return ConduitReadableMessageChannel
Modifier and Type
Method
Description
`ConduitReadableMessageChannel`
ConduitReadableMessageChannel.`clone()`
Duplicate this channel.
Methods in org.xnio.conduits that return types with arguments of type ConduitReadableMessageChannel
Modifier and Type
Method
Description
`ChannelListener<? super ConduitReadableMessageChannel>`
ConduitReadableMessageChannel.`getCloseListener()`
`ChannelListener.Setter<ConduitReadableMessageChannel>`
ConduitReadableMessageChannel.`getCloseSetter()`
`ChannelListener<? super ConduitReadableMessageChannel>`
ConduitReadableMessageChannel.`getReadListener()`
`ChannelListener.Setter<ConduitReadableMessageChannel>`
ConduitReadableMessageChannel.`getReadSetter()`
Method parameters in org.xnio.conduits with type arguments of type ConduitReadableMessageChannel
Modifier and Type
Method
Description
`void`
ConduitReadableMessageChannel.`setCloseListener(ChannelListener<? super ConduitReadableMessageChannel> closeListener)`
`void`
ConduitReadableMessageChannel.`setReadListener(ChannelListener<? super ConduitReadableMessageChannel> readListener)`